EVM and SVM onchain data endpoints, plus API documentation and monitoring.
    Read-only preview
    You're browsing the public OpenAPI spec. Sign in to send live requests with your team's API key.
    EVM DEXs

    Pool OHLCV

    Returns OHLCV price candles for DEX liquidity pools.

    Historical depth is subject to plan restrictions.

    GET
    https://api.pinax.network/v1/evm/pools/ohlc
    Requires bearer token — sign in to inject your team’s key.

    Supported networks (9)

    Arbitrum OneArbitrum OneAvalancheAvalancheBaseBaseBNBBNBHyperEVMHyperEVMEthereumEthereumOptimismOptimismPolygonPolygonUnichainUnichain

    Required parameters

    NameTypeDescription
    networkrequired
    query
    Enum · 9The Graph Network ID for EVM networks https://thegraph.com/networks
    arbitrum-oneavalanchebasebschyperevmmainnetoptimismpolygonunichain
    e.g. mainnet
    poolrequired
    query
    AddressFilter by pool address
    e.g. 0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640

    Optional parameters

    NameTypeDescription
    interval
    query
    Enum · 8The interval* for which to aggregate price data (1-minute, 5-minutes, 10-minutes, 30-minutes, hourly, 4-hours, daily or weekly).
    *Plan restricted.
    1m5m10m30m1h4h1d1w
    start_time
    query
    DatetimeUNIX timestamp in seconds or date string (e.g. "2025-01-01T00:00:00Z", "2025-01-01", ...).
    end_time
    query
    DatetimeUNIX timestamp in seconds or date string (e.g. "2025-01-01T00:00:00Z", "2025-01-01", ...).
    limit
    query
    integerNumber of items* returned in a single request.
    *Plan restricted.
    page
    query
    integerPage number to fetch.
    Empty data array signifies end of results.

    Response

    200 OK
    {
      "data": [
        {
          "datetime": "2025-10-16 00:00:00",
          "ticker": "USDCWETH",
          "pool": "0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640",
          "open": 3986.856219311053,
          "high": 4067.092237083535,
          "low": 3959.52075942394,
          "close": 3989.764603704477,
          "volume": 32956701.586648,
          "transactions": 3066,
          "network": "mainnet"
        }
      ]
    }